Package com.enonic.xp.admin.tool

## Class AdminToolDescriptor

- java.lang.Object
- - com.enonic.xp.admin.tool.AdminToolDescriptor

-     @PublicApi
      public class AdminToolDescriptor
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `AdminToolDescriptor.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AdminToolDescriptor.Builder` | `create()` |
    `PrincipalKeys` | `getAllowedPrincipals()` |
    `ApplicationKey` | `getApplicationKey()` |
    `String` | `getDescription()` |
    `String` | `getDescriptionI18nKey()` |
    `String` | `getDisplayName()` |
    `String` | `getDisplayNameI18nKey()` |
    `DescriptorKey` | `getKey()` |
    `String` | `getName()` |
    `boolean` | `isAccessAllowed​(PrincipalKeys principalKeys)` |
    `boolean` | `isAppLauncherApplication()` |
    `static ResourceKey` | `toIconResourceKey​(DescriptorKey key)` |
    `static ResourceKey` | `toResourceKey​(DescriptorKey key)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getKey

          public DescriptorKey getKey()

    - #### getDisplayName

          public String getDisplayName()

    - #### getName

          public final String getName()

    - #### getApplicationKey

          public final ApplicationKey getApplicationKey()

    - #### getDescription

          public String getDescription()

    - #### getDisplayNameI18nKey

          public String getDisplayNameI18nKey()

    - #### getDescriptionI18nKey

          public String getDescriptionI18nKey()

    - #### getAllowedPrincipals

          public PrincipalKeys getAllowedPrincipals()

    - #### isAccessAllowed

          public boolean isAccessAllowed​(PrincipalKeys principalKeys)

    - #### isAppLauncherApplication

          public boolean isAppLauncherApplication()

    - #### toResourceKey

          public static ResourceKey toResourceKey​(DescriptorKey key)

    - #### toIconResourceKey

          public static ResourceKey toIconResourceKey​(DescriptorKey key)

    - #### create

          public static AdminToolDescriptor.Builder create()